# -----------------------------------------------------------------------------
# (C) Copyright 2004 SafeNet, Inc. All rights reserved
# -----------------------------------------------------------------------------
#
# This batch file compile the applets used for the Sentinel License Monitor and copy 
# the .class and .html files in the .\root folder.
# ****************************************************************************
# Set the JDK_PATH 
# ****************************************************************************

JDK_PATH=/opt/JBuilder9/jdk1.4/
OLDPATH=$PATH
PATH=$JDK_PATH/bin:$PATH;

# *********************************************
# Build Sentinel License Monitor related files
# *********************************************

#See if the position of .java files has been passed at commandline
if [ $1 ]
then
	LOCATION=$1
fi
if [ "$LOCATION" = "" ]
then
	LOCATION=.
fi
echo $LOCATION
cd $LOCATION
javac KeyInfoApplet.java
javac LicenseInfoApplet.java
javac XMLParser.java

# Build resource bundles
javac AppletResources.java
javac AppletResources_en.java
# javac AppletResources_en_US.java

# Creating the directory structure
mkdir -p  root/resources

cp keyinfo.html root/keyinfo.html
cp licenseinfo.html root/licenseinfo.html

cp KeyInfoApplet.class root/KeyInfoApplet.class
cp LabelAdapter.class root/LabelAdapter.class
cp KeysRow.class root/KeysRow.class

cp LicenseInfoApplet.class root/LicenseInfoApplet.class
cp LicenseRow.class root/LicenseRow.class

cp XMLParser.class root/XMLParser.class

# Resource bundle files
cp AppletResources.class root/resources/AppletResources.class
cp AppletResources_en.class root/resources/AppletResources_en.class
chmod -R 777 root
PATH=$OLDPATH
