import java.util.ListResourceBundle;

public class AppletResources extends ListResourceBundle
{
  public Object[][] getContents() {
    return aoStringPairs;
  }

  static final Object[][] aoStringPairs = { // String ID and actual string
      {"key", "value"},

//LOCALIZED STRINGS STARTS
      {"mTopHeadingLabel", "Sentinel License Monitor"},
      {"SysAddStaticLabel", "System Address: "},
      {"mSSPVersionLabel", "Sentinel Protection Server Version "},
      {"KeyLine1Heading", "This web page shows you details of the keys attached to the system."},
      {"KeyLine2Heading", "Please click on a key number to view the details about the clients who are using the licenses available with this key."},
      {"KeylblError","No Keys details available"},
      {"mKeyFootNoteLabel","Not available. The part number cannot be obtained for certain keys. Please contact your developer/vendor for more information."},
      {"mCopyrightLabel","Copyright 2004 SafeNet Inc."},
      {"mRefresh","Refresh"},
      {"XMLKeyFileError","Error in downloading the key information file."},

//KeysRows
      {"lblKeysH", "Keys#"},
      {"lblKeyType", "Key Type"},
      {"lblSerialNumber", "Serial Number"},
      {"lblPartNumber", "Part Number"},
      {"lblHardLimit", "Hard Limit"},
      {"lblLicInUse","Licenses-In-Use"},
      {"lblHighestUse","Highest Used"},
      {"lblNumTimeOut","Time-Outs "},

//License Info
      {"mLicTopHeadingLabel","License Usage for the Key"},
      {"LicAddStaticLabel","Serial Number: "},
      {"LicLine1Heading","Following are the usage details of each license available with key."},
      {"LiclblError","No License details available"},
      {"mLicFootNoteLabel","Unable to obtain the login time and process ID for clients using the SP_DRIVER_MODE access mode."},
      {"mBack","Back"},
      {"XMLLicFileError","Error in downloading the license information file."},

//LicenseRow
      {"lblClientIP","Client/Access Mode"},
      {"lblClientUserName","User Name"},
      {"lblClientLogTime","Client login time"},
      {"lblClientPID","Client Process ID"},

//Delete License
      {"lblDelete","Delete"},
      {"mDelete","Delete License"},
//LOCALIZED STRINGS ENDS
  };
}
